Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.plugin.rendering
Interface RenderingPluginModel

    public interface RenderingPluginModel

The PluginModel provides the RenderingPlugin with all the context information necessary to render its output.

Since:
  7.0

Method Summary
`java.lang.String` | `getBody()` Return the body of the plugin tag.
`java.lang.String` | `getBody(RenderingContext p_renderingContext)` Return the body of the plugin tag in a given context.
`java.util.Locale` | `getLocale()` Get the locale to render in for the current user.
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getPluginParameters()` The parameters are return as a Map, where the key is a String containing the parameter name and the value is a List of Strings for the values.
`RenderingContext` | `getRenderingContext()`
`ServletRequest` | `getRequest()` Returns the underlying request that triggered the plugin render method
`java.io.Writer` | `getWriter()`

Method Detail

### getWriter

    java.io.Writer getWriter()

  Returns:
    Writer to receive the output of the plugin

### getRenderingContext

    RenderingContext getRenderingContext()

  Returns:
    The current rendering context

### getPluginParameters

    java.util.Map<java.lang.String,java.util.List<java.lang.String>> getPluginParameters()

  The parameters are return as a Map, where the key is a String containing the parameter name and the value is a List of Strings for the values.

  Returns:
    any parameters being passed to the plugin

### getLocale

    java.util.Locale getLocale()

  Get the locale to render in for the current user. This is the locale that the Portal has chosen for the user, based on their locale as specified in the request, and the locales supported by the Portal.

  Returns:
    the locale

### getRequest

    ServletRequest getRequest()

  Returns the underlying request that triggered the plugin render method

  Returns:
    The current ServletRequest

### getBody

    java.lang.String getBody()

  Return the body of the plugin tag.

  When used within a List Presentation Component, Menu, Navigator, Personalization or Search Component, in order for the result design for the body to include the current result values, the RenderingPlugin tag must include the parameter "compute" with value "always" so that it is recomputed for each result. Otherwise the rendering plugin will be called once without any active result value. Note: When rendering the body through the plugin, it is recommended that the plugin return false from the `render()` method to avoid rendering the body twice.

  Returns:
    the resolved value of the plugin body
  Since:
    8.5

### getBody

    java.lang.String getBody(RenderingContext p_renderingContext)

  Return the body of the plugin tag in a given context. Note: When rendering the body through the plugin, it is recommended that the plugin return false from the `#render()` method to avoid rendering the body twice.

  Parameters:
    `p_renderingContext` - rendering context to render tag body
  Returns:
    the resolved value of the plugin body
  Since:
    8.5 CF2

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD